<!DOCTYPE html>
<html>

<head>
	<title>Innovation Plus Server</title>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css" crossorigin="anonymous">
	<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/dygraph/2.1.0/dygraph.min.css" />
	<link rel="stylesheet" href="static/styles/dropdown.css">
	<link rel="stylesheet" href="static/styles/contextmenu.css">
	<link rel="stylesheet" href="static/JS/treeselectjs/treeselectjs.css">
	<link rel="stylesheet" href="static/styles/style.css">
	<script src="https://cdn.socket.io/4.5.4/socket.io.js" crossorigin="anonymous"></script>
	<script src="//cdnjs.cloudflare.com/ajax/libs/dygraph/2.1.0/dygraph.min.js"></script>
	<script src="static/JS/complex/complex.min.js" crossorigin="anonymous"></script>
	<!-- https://github.com/jakearchibald/idb -->
	<script src="https://cdn.jsdelivr.net/npm/idb@7/build/umd.js"></script>
	<!-- plugins -->
	<script src="https://unpkg.com/wavesurfer.js" crossorigin="anonymous"></script>
	<script src="https://unpkg.com/wavesurfer.js/dist/plugin/wavesurfer.playhead.js" crossorigin="anonymous"></script>
	<script src="https://unpkg.com/wavesurfer.js/dist/plugin/wavesurfer.timeline.js" crossorigin="anonymous"></script>
	<script src="https://unpkg.com/wavesurfer.js/dist/plugin/wavesurfer.minimap.js" crossorigin="anonymous"></script>
	<script src="https://unpkg.com/wavesurfer.js/dist/plugin/wavesurfer.regions.js" crossorigin="anonymous"></script>
	<script src="https://unpkg.com/wavesurfer.js/dist/plugin/wavesurfer.markers.js" crossorigin="anonymous"></script>
	<script src="https://unpkg.com/wavesurfer.js/dist/plugin/wavesurfer.spectrogram.js" crossorigin="anonymous"></script>
	<script src="https://unpkg.com/wavesurfer.js/dist/plugin/wavesurfer.microphone.js" crossorigin="anonymous"></script>
	<script src="https://unpkg.com/guify@0.15.1/lib/guify.min.js" crossorigin="anonymous"></script>
	<script src="static/JS/script.js" type="module"></script>
</head>

<body onselectstart="return false;">
	<!--
		<div id="header-container">
			<a href="https://tgm.jade-hs.de/">
				<img class="logo-left" src="/static/images/tgm2.svg" alt="">
			</a>
			<a href="https://jade-hs.de">
				<img class="logo-right" src="/static/images/jadehs.svg" alt="">
			</a>
		</div>
-->
	<controls>
		<div id="mainmenu">
			<div class="dropdown">
				<button class="dropbtn">File</button>
				<div id="File" class="dropdown-content" style="width: 280px;">
					<a id="newFile">New empty Audio File<span style="float:right">CTRL+N</span></a>
					<a id="openFile">Open fom Server Directory<span style="float:right">CTRL+O</span></a>
					<a id="saveFile">Save on Server Directory<span style="float:right">CTRL+S</span></a>
					<hr style="margin:5px; border: 1px solid #8F9092;">
					<a id="ImportFile">Import local Audio File <span style="float:right">(WAV/MP3/FEAT)</span></a>
					<a id="ImportAnnotations">Import local Annotations <span style="float:right">(Audacity Format)</span></a>
					<a id="exportAnnotations">Export local Annotations <span style="float:right">(Audacity Format)</span></a>
					<a id="exportAudiofile">Export Audio File <span style="float:right">(WAV)</span></a>
					<hr style="margin:5px; border: 1px solid #8F9092;">
					<a id="FileParameters">Parameters</a>
				</div>
			</div>
			<div class="dropdown">
				<button class="dropbtn">Edit</button>
				<div id="Edit" class="dropdown-content">
					<a id="undo">Undo<span style="float:right">CTRL+Z</span></a>
					<a id="redo">Redo<span style="float:right">CTRL+Y</span></a>
					<hr style="margin:5px; border: 1px solid #8F9092;">
					<a id="copyAudioData">Copy<span style="float:right">CTRL+C</span></a>
					<a id="cutAudioData">Cut<span style="float:right">CTRL+X</span></a>
					<a id="pasteAudioData">Paste<span style="float:right">CTRL+V</span></a>
					<hr style="margin:5px; border: 1px solid #8F9092;">
					<a id="SystemPreferences">System Preferences</a>
				</div>
			</div>
			<div class="dropdown">
				<button id="PluginsMenu" class="dropbtn">Plugins</button>
				<div id="Plugins" class="dropdown-content">
				</div>
			</div>
			<div class="dropdown">
				<button class="dropbtn">View</button>
				<div id="View" class="dropdown-content">
					<a id="showAnnotationList">&#x2718; Annotations</a>
					<a id="showOverlayList">&#x2718; Overlays</a>
					<a id="showPluginList">&#x2718; Plugins</a>
					<hr style="margin:5px; border: 1px solid #8F9092;">
					<a id="showWaveform">&#x2718; Waveform</a>
					<a id="showSpectrogram">&#x2718; Spectrogram</a>
				</div>
			</div>
			<div class="dropdown">
				<button class="dropbtn">Help</button>
				<div id="Help" class="dropdown-content">
					<a href="logout">Logout</a>
					<hr style="margin:5px; border: 1px solid #8F9092;">
					<a id="showDocumentation" href="docs" target="_showdocumentation">Documentation</a>
					<a id="showUpload" href="upload" target="_upload">Upload Files</a>
					<!--<a id="showUserConfiguration" href="config" target="_userconfiguration">User Settings</a>-->
					<a id="showAdministration" href="admin" target="_administration">Administration</a>
					<hr style="margin:5px; border: 1px solid #8F9092;">
					<a id="showAbout">About</a>
				</div>
			</div>
		</div>
		<div id="controlsArea" class="controlsArea">
			<div id="Timeinfo">
				<div id="CurrentTime" class="Timeinfo">00:00:00.000</div>
				<div style="float:left; text-align: right;">
					<div id="MouseTime" class="Timeinfo">00:00:00.000</div>
					<div id="Duration" class="Timeinfo">00:00:00.000</div>
				</div>
				<div style="float:left; text-align: right;">
					<div id="Amplitude" class="Timeinfo">00.00</div>
					<div id="Level" class="Timeinfo">0 Hz: 0.00 dB</div>
				</div>
			</div>
			<div class="controls">
				<button id="btnOpenFile" class="btn btn-primary" data-action="openFile" title="Open File (STRG+O)"><i
						class="glyphicon glyphicon-open-file"></i></button>
				<button id="btnSaveFile" class="btn btn-primary" data-action="saveFile" title="Save File (STRG+S)"><i
						class="glyphicon glyphicon-save-file"></i></button>
			</div>
			<div class="controls">
				<button class="btn btn-primary" data-action="stop" title="Stop"><i
						class="glyphicon glyphicon-stop"></i></button>
				<button class="btn btn-primary" data-action="play" title="Play (Spacebar)"><i
						class="glyphicon glyphicon-play"></i></button>
				<button class="btn btn-primary" data-action="pause" title="Pause (Spacebar)"><i
						class="glyphicon glyphicon-pause"></i></button>
				<button class="btn btn-primary" data-action="backward" title="Backward (Arrow-Left)"><i
						class="glyphicon glyphicon-backward"></i></button>
				<button class="btn btn-primary" data-action="forward" title="Forward (Arrow-Right)"><i
						class="glyphicon glyphicon-forward"></i></button>
				<button class="btn btn-primary" data-action="fast-backward" title="Fast-Backward (SHIFT+Arrow-Left)"><i
						class="glyphicon glyphicon-fast-backward"></i></button>
				<button class="btn btn-primary" data-action="fast-forward" title="Fast-Forward (SHIFT+Arrow-Right)"><i
						class="glyphicon glyphicon-fast-forward"></i></button>
			</div>
			<div class="controls">
				<button id="btnRecord" class="btn btn-primary" data-action="record" title="Record (STRG+R)"><i
						class="glyphicon glyphicon-record"></i></button>
			</div>
			<div class="controls">
				<button class="btn btn-primary" data-action="zoom-out" title="Zoom Out (-)"><i
						class="glyphicon glyphicon-zoom-out"></i></button>
				<button class="btn btn-primary" data-action="zoom-in" title="Zoom In (+)"><i
						class="glyphicon glyphicon-zoom-in"></i></button>
			</div>
			<div class="controls">
				<button id="btnCopyAudioData" class="btn btn-primary" data-action="copy" title="Copy (CTRL+C)"><i
						class="glyphicon glyphicon-copy"></i></button>
				<button id="btnCutAudioData" class="btn btn-primary" data-action="cut" title="Cut (CTRL+X)"><i
						class="glyphicon glyphicon-scissors"></i></button>
				<button id="btnPasteAudioData" class="btn btn-primary" data-action="paste" style="color: black;"
					title="Paste (CTRL+V)"><i class="glyphicon glyphicon-paste"></i></button>
			</div>
		</div>
	</controls>
	<main>
		<muteBar>
			<div class="mutBarFiller"></div>
			<div id="muteButton1" class="muteButton">
				<button class="btn btn-primary" data-action="muteLeft">
					<i class="glyphicon glyphicon-volume-off"></i>
				</button>
				<div class="yticks">
					<div class="amplitudes">
						<div class="amplitude"></div>
						<div class="amplitude"></div>
						<div class="amplitude"></div>
						<div class="amplitude"></div>
						<div>0</div>
						<div class="amplitude"><span style="display: table-cell; vertical-align: bottom;"></span></div>
						<div class="amplitude"><span style="display: table-cell; vertical-align: bottom;"></span></div>
						<div class="amplitude"><span style="display: table-cell; vertical-align: bottom;"></span></div>
						<div class="amplitude"><span style="display: table-cell; vertical-align: bottom;"></span></div>
					</div>
					<div class="frequencies"></div>
				</div>
			</div>
			<div id="muteButton2" class="muteButton">
				<button class="btn btn-primary" data-action="muteRight">
					<i class="glyphicon glyphicon-volume-off"></i>
				</button>
				<div class="amplitudes">
					<div class="amplitude"></div>
					<div class="amplitude"></div>
					<div class="amplitude"></div>
					<div class="amplitude"></div>
					<div>0</div>
					<div class="amplitude"><span style="display: table-cell; vertical-align: bottom;"></span></div>
					<div class="amplitude"><span style="display: table-cell; vertical-align: bottom;"></span></div>
					<div class="amplitude"><span style="display: table-cell; vertical-align: bottom;"></span></div>
					<div class="amplitude"><span style="display: table-cell; vertical-align: bottom;"></span></div>
				</div>
			</div>
		</muteBar>
		<div style="flex: 1; display: flex; flex-direction: column;">
			<div id="timeline"></div>
			<timelinewaveform >
				<div id="wave-spectrogram"></div>
				<div id="MidLine"></div>
				<div id="waveform" class="task"></div>
				<div id="ViewDisabledInfo" style="position: absolute; width: 100%; top: 46.5%; text-align: center; background-color: rgba(50, 50, 50, 0.9); font-size: 30px; display: none; z-index: 1000; padding:20px">
					<b>Waveform and Spectrogram View disabled!</b>
				</div>
			</timelinewaveform>
		</div>
		<div class="progress progress-striped active" id="progress-bar">
			<div class="progress-bar progress-bar-info"></div>
		</div>
	</main>
	<footer>
		<div id="wave-minimap"></div>
		<div id="VUmeter" class="VUmeterContainer">
			<div id="VUmeter0" class="VUmeter"></div>
			<div id="VUmeter1" class="VUmeter"></div>
			<div class="VULevelBar">
				<div class="VULevel">-inf</div>
				<div class="VULevel">-95</div>
				<div class="VULevel">-90</div>
				<div class="VULevel">-85</div>
				<div class="VULevel">-80</div>
				<div class="VULevel">-75</div>
				<div class="VULevel">-70</div>
				<div class="VULevel">-65</div>
				<div class="VULevel">-60</div>
				<div class="VULevel">-55</div>
				<div class="VULevel">-50</div>
				<div class="VULevel">-45</div>
				<div class="VULevel">-40</div>
				<div class="VULevel">-35</div>
				<div class="VULevel">-30</div>
				<div class="VULevel">-25</div>
				<div class="VULevel">-20</div>
				<div class="VULevel">-15</div>
				<div class="VULevel">-10</div>
				<div class="VULevel">-5</div>
				<div class="VULevel">0</div>
			</div>
		</div>
		<div id="StatusBar" class="controlsArea statusbar">		
			<span class="statusbarItem">Zoom:&nbsp;<span id="zoom-value" style="display: inline-block; width: 60px; text-align: right;"></span>&nbsp;%</span>
			<span class="statusbarItem">Delay:&nbsp;<span id="delay-value">000.00</span>&nbsp;ms</span>
			<span class="statusbarItem" style="border: none;"><a id="btnLock" style="color: white;"><i class="glyphicon glyphicon-lock"></i></a></span>
		</div>
	</footer>
	<div id="annotation" style="width:300px;"></div>
	<div id="hideWavesurfer" class="hideWavesurfer"></div>
	<nav id="context-menu" class="context-menu"></nav>
</body>

</html>